package com.red.circle.game.fruit.infrastructure.database.repository;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.framework.mybatis.service.BaseService;
import com.red.circle.game.fruit.infrastructure.database.entity.GameFruitDaysRecord;
import com.red.circle.game.fruit.inner.model.cmd.PageDaysRecordQryCmd;
import com.red.circle.game.fruit.inner.model.dto.PageGameFruitDaysRecordDTO;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 每日游戏记录 服务类.
 * </p>
 *
 * @author lisizhe on 2023-11-30 19:18
 */
public interface GameFruitDaysRecordService extends BaseService<GameFruitDaysRecord> {

  GameFruitDaysRecord getDaysRecord(String origin);

  void add(GameFruitDaysRecord gameFruitDaysRecord);

  void addDaysBet(Long userId, BigDecimal userExpand, String origin);

  void updatePlayerNum(Long userId, String origin);

  void updateNewNum(Long userId, String origin);

  void addPlatformExpend(Integer expendSum, String origin);

  void addLotteryDrawNum(int type, String origin);

  PageResult<PageGameFruitDaysRecordDTO> pageGameFruitDaysRecord(PageDaysRecordQryCmd cmd);

  List<GameFruitDaysRecord> listDaysRecord();
}
